PDTMFDecoder Class Reference

`#include <dtmf.h>`

Inheritance diagram for PDTMFDecoder:

## Public Types

enum | { DetectSamples = 520, DetectTime = DetectSamples/8 }
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...

## Public Member Functions

| PDTMFDecoder ()
PString | Decode (const short *sampleData, PINDEX numSamples, unsigned mult=1, unsigned div=1)
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Types

enum | { NumTones = 10 }

## Protected Attributes

char | key [256]
int | p1 [NumTones]
int | h [NumTones]
int | k [NumTones]
int | y [NumTones]
int | sampleCount
int | tonesDetected
int | inputAmplitude

## Additional Inherited Members

Static Public Member Functions inherited from PObject
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
static const char * | Class ()
| Get the name of the class as a C string. More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DetectSamples |
DetectTime |

## anonymous enum

anonymous enum

protected

Enumerator
NumTones |

## Constructor & Destructor Documentation

## PDTMFDecoder()

PDTMFDecoder::PDTMFDecoder | ( |  | ) |

## Member Function Documentation

## Decode()

PString PDTMFDecoder::Decode | ( | const short * | sampleData,
|  | PINDEX | numSamples,
|  | unsigned | mult = `1`,
|  | unsigned | div = `1`
| ) |  |

## Member Data Documentation

## h

int PDTMFDecoder::h[NumTones]

protected

## inputAmplitude

int PDTMFDecoder::inputAmplitude

protected

## k

int PDTMFDecoder::k[NumTones]

protected

## key

char PDTMFDecoder::key[256]

protected

## p1

int PDTMFDecoder::p1[NumTones]

protected

## sampleCount

int PDTMFDecoder::sampleCount

protected

## tonesDetected

int PDTMFDecoder::tonesDetected

protected

## y

int PDTMFDecoder::y[NumTones]

protected

The documentation for this class was generated from the following file:

- dtmf.h